App Resource Role API
Search App Resource Roles
Search app resource roles with filters in the request body. Filter by team ID or resource IDs.
POST
/
v2
/
app-resource-roles
/
search
Search App Resource Roles
curl --request POST \
--url https://public.api.serval.com/v2/app-resource-roles/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamId": "<string>",
"appInstanceIds": [
"<string>"
],
"resourceIds": [
"<string>"
],
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/app-resource-roles/search"
payload = {
"teamId": "<string>",
"appInstanceIds": ["<string>"],
"resourceIds": ["<string>"],
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamId: '<string>',
appInstanceIds: ['<string>'],
resourceIds: ['<string>'],
pageSize: 123,
pageToken: '<string>'
})
};
fetch('https://public.api.serval.com/v2/app-resource-roles/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"resourceId": "<string>",
"name": "<string>",
"description": "<string>",
"requestsEnabled": true,
"accessPolicyId": "<string>",
"provisioningMethod": {
"builtinWorkflow": {}
},
"externalId": "<string>",
"externalData": "<string>",
"requireFormConfirmation": true,
"tagIds": [
"<string>"
]
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Filter by team ID. Required if app_instance_ids is not provided.
Filter by app instance IDs.
Filter by resource IDs.
Maximum number of results to return. Default is 10000, maximum is 10000.
Token for pagination. Leave empty for the first request.
Was this page helpful?
⌘I
Search App Resource Roles

